Bug 8715 - Select all serials for a year
Summary: Select all serials for a year
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: 3.12
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-03 09:42 UTC by Jonathan Druart
Modified: 2013-05-23 06:23 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8715: Receive all serials for a year. (5.40 KB, patch)
2012-09-03 09:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8715: Receive all serials for a year. (5.50 KB, patch)
2012-09-12 16:55 UTC, Owen Leonard
Details | Diff | Splinter Review
Follow-up: Markup changes to improve consistency with other interfaces (5.23 KB, patch)
2012-09-12 18:11 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8715 [Follow-up] Receiving all serials for a year (5.25 KB, patch)
2012-09-13 07:53 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 8715: Force the default sort order to desc (980 bytes, patch)
2012-09-21 09:03 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 8715: Receive all serials for a year. (6.92 KB, patch)
2012-11-28 16:21 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2012-09-03 09:42:41 UTC
It would be possible to receive all serials for a year.
Comment 1 Jonathan Druart 2012-09-03 09:45:39 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2012-09-12 16:55:44 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2012-09-12 18:11:15 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2012-09-13 07:53:29 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2012-09-21 09:03:40 UTC Comment hidden (obsolete)
Comment 6 Jared Camins-Esakov 2012-10-06 04:23:33 UTC
Changing target version so this bug report will show up in the list of 3.12-targeted features and doesn't get lost in the shuffle during feature freeze.
Comment 7 Paul Poulain 2012-11-28 16:20:24 UTC
QA comment:
 * small & easy to solve conflict in serials-collection.pl
 * passes koha-qa.pl
 * the feature is wrongly describe: it's more "select all serials of a year" than "receiving all serials", I'll update the patch description

passed QA
Comment 8 Paul Poulain 2012-11-28 16:21:54 UTC
Created attachment 13738 [details] [review]
Bug 8715: Receive all serials for a year.

This patch adds
- 2 links in the table header (select all and clear all).
- Datatable on these tables

Test plan:
Try to select all serials for a year and receive them.
Test there is no regression (ergonomic) on this page

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Bug 8715 [Follow-up] Receiving all serials for a year

Follow-up: For consistency, I would prefer to have the
column of checkboxes at the beginning of the table and the
select/clear links above.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>

Bug 8715: Force the default sort order to desc

Signed-off-by: Paul Poulain <paul.poulain@biblibre.com>
Comment 9 Jared Camins-Esakov 2012-11-30 12:15:38 UTC
This patch has been pushed to master.